com.sun.tdk.specdiff.assertdiff

## Enum Analyzer.Conclusion

- java.lang.Object
- - java.lang.Enum<Analyzer.Conclusion>
  - - com.sun.tdk.specdiff.assertdiff.Analyzer.Conclusion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Analyzer.Conclusion>
  Enclosing interface:
    Analyzer

      public static enum Analyzer.Conclusion
      extends java.lang.Enum<Analyzer.Conclusion>

  Possible results of analysis of two assertions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A_SUBSET_B` The first assertion is a part of the second one.
    `A_SUPERSET_B` The second assertion is a part of the first one.
    `DIFFERENT` Two assertions has nothing in common.
    `EMPTY` One of assertion is empty
    `IDENTICAL` two assertions are absolutely identical
    `SIMILAR` two assertions are similar, but not very similar according to some similarity criteria (default or implementation specific).
    `UNKNOWN` Two assertions haven't been compared yet.
    `VERYSIMILAR` two assertions are not identical, but very similar according to some similarity criteria (default or implementation specific).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Analyzer.Conclusion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Analyzer.Conclusion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDENTICAL

          public static final Analyzer.Conclusion IDENTICAL

      two assertions are absolutely identical

    - #### VERYSIMILAR

          public static final Analyzer.Conclusion VERYSIMILAR

      two assertions are not identical, but very similar according to some similarity criteria (default or implementation specific).

    - #### SIMILAR

          public static final Analyzer.Conclusion SIMILAR

      two assertions are similar, but not very similar according to some similarity criteria (default or implementation specific).

    - #### A_SUBSET_B

          public static final Analyzer.Conclusion A_SUBSET_B

      The first assertion is a part of the second one. Possible case of merging assertions.

    - #### A_SUPERSET_B

          public static final Analyzer.Conclusion A_SUPERSET_B

      The second assertion is a part of the first one. Possible case of splitting assertions.

    - #### DIFFERENT

          public static final Analyzer.Conclusion DIFFERENT

      Two assertions has nothing in common.

    - #### EMPTY

          public static final Analyzer.Conclusion EMPTY

      One of assertion is empty

    - #### UNKNOWN

          public static final Analyzer.Conclusion UNKNOWN

      Two assertions haven't been compared yet.

  - ### Method Detail

    - #### values

          public static Analyzer.Conclusion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Analyzer.Conclusion c : Analyzer.Conclusion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Analyzer.Conclusion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null